## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/aws/aws-sdk-go-v2
%global goipath         github.com/aws/aws-sdk-go-v2
Version:                1.8.0

%gometa

%global common_description %{expand:
aws-sdk-go-v2 is the Developer Preview for the v2 of the AWS SDK for the Go
programming language.}

%global golicenses      LICENSE.txt NOTICE.txt
%global godocs          example CHANGELOG.md CHANGELOG_PENDING.md CODE_OF_CONDUCT.md CONTRIBUTING.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        AWS SDK for the Go programming language

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/smithy-go)
BuildRequires:  golang(github.com/aws/smithy-go/document)
BuildRequires:  golang(github.com/aws/smithy-go/document/json)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/httpbinding)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/json)
BuildRequires:  golang(github.com/aws/smithy-go/encoding/xml)
BuildRequires:  golang(github.com/aws/smithy-go/io)
BuildRequires:  golang(github.com/aws/smithy-go/logging)
BuildRequires:  golang(github.com/aws/smithy-go/middleware)
BuildRequires:  golang(github.com/aws/smithy-go/ptr)
BuildRequires:  golang(github.com/aws/smithy-go/rand)
BuildRequires:  golang(github.com/aws/smithy-go/time)
BuildRequires:  golang(github.com/aws/smithy-go/transport/http)
BuildRequires:  golang(github.com/aws/smithy-go/waiter)
BuildRequires:  golang(github.com/jmespath/go-jmespath)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/pelletier/go-toml)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(golang.org/x/mod/module)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/corehandlers)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/awstesting/unit)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/dynamodb)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/lexruntimeservice)
BuildRequires:  golang(github.com/aws/smithy-go/testing)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# aws/external: needs network
%gocheck -t aws/external -d aws/retry -t internal/repotools/changes -d service/internal/benchmark/dynamodb
%endif

%gopkgfiles

%changelog
* Sun Aug 08 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.8.0-1
- Update to 1.8.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 14:50:48 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.31.0-1
- Update to 0.31.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 19:15:58 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.24.0-1
- Update to 0.24.0

* Tue Jan 28 18:03:21 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Update to 0.18.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Apr 19 10:35:57 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.0-1
- Initial package

